View Issue Details

IDProjectCategoryView StatusLast Update
0030413FPCRTLpublic2016-11-16 08:59
ReporterCudaText manAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux gtk2OSOS Version
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030413: Forms store 'left' is one case, 'Width' on other
DescriptionI see my form stores 'left'/'top' as lowercase, and 'Width'/'Height' in title-case. It is not consistent, titlecase better.
TagsNo tags attached.
Fixed in Revision34905
FPCOldBugId
FPCTarget
Attached Files

Activities

CudaText man

2016-07-26 16:59

reporter  

unit1.zip (4,896 bytes)

CudaText man

2016-07-26 17:00

reporter   ~0093841

TImageList and TPopupMenu of this form is stored with 'left'.

Bart Broersma

2016-11-13 18:24

reporter   ~0095836

These are components that are not derived from TControland have no Top/Left properties.

Bart Broersma

2016-11-13 18:27

reporter   ~0095837

Last edited: 2016-11-13 18:29

View 2 revisions

File: {$fpc)/source/rtl/objpas/classes/compon.inc

Procedure TComponent.DefineProperties(Filer: TFiler);

Var Ancestor : TComponent;
    Temp : longint;

begin
  Temp:=0;
  Ancestor:=TComponent(Filer.Ancestor);
  If Assigned(Ancestor) then Temp:=Ancestor.FDesignInfo;
  Filer.Defineproperty('left',@readleft,@writeleft,
                       (longrec(FDesignInfo).Lo<>Longrec(temp).Lo));
  Filer.Defineproperty('top',@readtop,@writetop,
                       (longrec(FDesignInfo).Hi<>Longrec(temp).Hi));
end;


So, it's up to fpc devels to decide wether to change this to 'Left' and 'Top' intead, I guess.

Michael Van Canneyt

2016-11-16 08:59

administrator   ~0095905

Checked that property names are checked case insentitive when using DefineProperties, and changed then to Top,Left.

Issue History

Date Modified Username Field Change
2016-07-26 16:56 CudaText man New Issue
2016-07-26 16:59 CudaText man File Added: unit1.zip
2016-07-26 17:00 CudaText man Note Added: 0093841
2016-11-13 18:24 Bart Broersma LazTarget => -
2016-11-13 18:24 Bart Broersma Note Added: 0095836
2016-11-13 18:24 Bart Broersma Status new => confirmed
2016-11-13 18:27 Bart Broersma Note Added: 0095837
2016-11-13 18:29 Bart Broersma Note Edited: 0095837 View Revisions
2016-11-13 18:29 Bart Broersma Project Lazarus => FPC
2016-11-16 08:53 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-11-16 08:53 Michael Van Canneyt Category LCL => RTL
2016-11-16 08:53 Michael Van Canneyt Product Version 1.7 (SVN) =>
2016-11-16 08:59 Michael Van Canneyt Fixed in Revision => 34905
2016-11-16 08:59 Michael Van Canneyt Note Added: 0095905
2016-11-16 08:59 Michael Van Canneyt Status confirmed => resolved
2016-11-16 08:59 Michael Van Canneyt Fixed in Version => 3.1.1
2016-11-16 08:59 Michael Van Canneyt Resolution open => fixed
2016-11-16 08:59 Michael Van Canneyt Target Version => 3.2.0